Package com.zfabrik.components.java

## Class JavaComponentClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - com.zfabrik.components.java.JavaComponentClassLoader

- All Implemented Interfaces:
    `IJavaComponentClassLoader`, `java.io.Closeable`, `java.lang.AutoCloseable`

      public abstract class JavaComponentClassLoader
      extends java.net.URLClassLoader
      implements IJavaComponentClassLoader

  Just combining `IJavaComponentClassLoader` and `URLClassLoader`. `IJavaComponentClassLoader` may be deprecated in the future.
  Author:
    hb

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaComponentClassLoader​(java.net.URL[] urls)` |
    `JavaComponentClassLoader​(java.net.URL[] urls, java.lang.ClassLoader parent)` |
    `JavaComponentClassLoader​(java.net.URL[] urls, java.lang.ClassLoader parent, java.net.URLStreamHandlerFactory factory)` |

  - ### Method Summary

    - ### Methods inherited from class java.net.URLClassLoader

      `addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.zfabrik.components.java.IJavaComponentClassLoader

      `getJavaComponentHandle, getName, getParents, isOperational`

- - ### Constructor Detail

    - #### JavaComponentClassLoader

          public JavaComponentClassLoader​(java.net.URL[] urls,
                                          java.lang.ClassLoader parent,
                                          java.net.URLStreamHandlerFactory factory)

    - #### JavaComponentClassLoader

          public JavaComponentClassLoader​(java.net.URL[] urls,
                                          java.lang.ClassLoader parent)

    - #### JavaComponentClassLoader

          public JavaComponentClassLoader​(java.net.URL[] urls)